require_dependency "skirental_frontend_api/application_controller"

module SkirentalFrontendApi
    class CouponController < ApplicationController
        before_action :set_coupon_params

        def show
            puts "SkirentalFrontendApi::BookingsController.coupon"
            coupon_product = SkirentalApi::Client.get_coupon(@booking_id, @promo_code)
            render :json => coupon_product
        end

        private

        def set_coupon_params
            @booking_id = coupon_params[:booking_id]
            @promo_code = coupon_params[:promo_code]
        end

        # Only allow a trusted parameter "white list" through.
        def coupon_params
            params.permit(:booking_id, :promo_code)
        end
    end
end